import { OnInit, ElementRef, Injector, QueryList } from '@angular/core';
import { NgModel } from '@angular/forms';
import { DataTypeEnum } from '../reflect-input.models';
import { ElementBase } from '../element-base';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
export declare class NgxDropdownForComponent extends ElementBase<any> implements OnInit {
    el: ElementRef;
    protected injector: Injector;
    DataTypeEnum: typeof DataTypeEnum;
    placeHolder: string;
    name: string;
    _template: NgxCustomTemplateForDirective;
    readonly: boolean;
    ngxDropdown: boolean;
    itemSource: any[];
    field: string;
    key: string;
    valuePrimitive: boolean;
    text: string;
    ngModel: NgModel;
    defaultItem: boolean;
    templates: QueryList<NgxCustomTemplateForDirective>;
    constructor(el: ElementRef, injector: Injector);
    ngOnInit(): void;
}
