import { OnInit, EventEmitter, QueryList, TemplateRef } from '@angular/core';
import { NgForm, FormGroup } from '@angular/forms';
import { CssInputModel } from '../reflect-input.models';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
export declare class NgxFormForReactiveComponent implements OnInit {
    _model: any;
    _formGroup: FormGroup;
    cssClasses: CssInputModel;
    model: any;
    formGroup: FormGroup;
    autoComplete: string;
    form: NgForm;
    propertyNames: {
        field: string;
        template: boolean;
    }[];
    submitForm: EventEmitter<any>;
    _templates: NgxCustomTemplateForDirective[];
    templates: QueryList<NgxCustomTemplateForDirective>;
    constructor();
    ngOnInit(): void;
    getTemplate(field: string): TemplateRef<any>;
    submit(): void;
    controlExists(item: string): boolean;
}
