import { OnInit, TemplateRef, QueryList, EventEmitter } from '@angular/core';
import { NgForm } from '@angular/forms';
import { CssInputModel } from '../../public_api';
import { NgxCustomTemplateForDirective } from '../ngx-custom-template-for.directive';
export declare class NgxFormForComponent implements OnInit {
    _model: any;
    model: any;
    cssClasses: CssInputModel;
    autoComplete: string;
    form: NgForm;
    propertyNames: {
        field: string;
        template: boolean;
    }[];
    submitForm: EventEmitter<any>;
    _templates: NgxCustomTemplateForDirective[];
    templates: QueryList<NgxCustomTemplateForDirective>;
    constructor();
    ngOnInit(): void;
    getTemplate(field: string): TemplateRef<any>;
    submit(): void;
}
