export interface ParamInputModel {
    value?: any;
    field?: string;
    error: string;
    customValue?: any;
    customFunc?: (propertyValue: any, dataModel?: any) => boolean;
}
export interface RangeInputModel {
    min?: number | Date;
    max?: number | Date;
    error: string;
}
export declare enum DataTypeEnum {
    Int = 0,
    Number = 1,
    MultilineText = 2,
    Url = 3,
    ImageUrl = 4,
    Password = 5,
    Hexadecimal = 6,
    Date = 7,
    Array = 8,
    Upload = 9
}
export interface DecoratorReturnModel {
    key: string;
    value: any;
}
export interface CssInputModel {
    group?: string;
    label?: string;
    input?: string;
    error?: string;
}
export declare type PropertyFunction<T> = () => T;
